%define upstream_name File_Util
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.0
Release:     	%mkrel 8
Summary:    	Common file and directory utility functions
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_Util-%{version}.tgz
URL: 		http://pear.php.net/package/File_Util
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-File >= 1.4.0
Requires:	php-pear >= 1.7.0
BuildArch: 	noarch

%description
Common file and directory utility functions.
  Path handling, temp dir/file, sorting of files, listDirs, isIncludable
and more

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_Util.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_Util.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_Util
fi

%files
%{peardir}/*
%{xmldir}/File_Util.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-8.mga8
+ Revision: 1498900
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-7.mga7
+ Revision: 1273203
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.0.0-6.mga6
+ Revision: 935004
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 749400
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 687257
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 516767
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 376182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 spuhler <spuhler> 1.0.0-1.mga2
+ Revision: 198610
- imported package php-pear-File_Util

